PLIPCMD(1)

NAME
plipcmd - Protein-Ligand Interaction Profiler (PLIP)

DESCRIPTION
usage: PLIP [-h] (-f INPUT [INPUT ...] | -i PDBID [PDBID ...]) [-o OUTPATH]

    [-v] [-p] [-x] [-t] [-y] [--maxthreads MAXTHREADS] [--breakcomposite] [--altlocation] [--debug] [--nofix] [--dnareceptor] [--peptides PEPTIDES [PEPTIDES ...] | --intra INTRA] [--keepmod]

Protein-Ligand Interaction Profiler (PLIP) v1.3.4 is a command-line based tool to analyze interactions in a protein-ligand complex. If you are using PLIP in your work, please cite: Salentin,S. et al. PLIP: fully automated proteinligand interaction profiler. Nucl. Acids Res. (1 July 2015) 43 (W1): W443-W447. doi: 10.1093/nar/gkv315

  optional arguments:

-h, --help
    show this help message and exit

-f INPUT [INPUT ...], --file INPUT [INPUT ...]

-i PDBID [PDBID ...], --input PDBID [PDBID ...]

-o OUTPATH, --out OUTPATH

-v, --verbose
    Set verbose mode

-p, --pics
    Additional pictures

-x, --xml
    Generate report file in XML format

-t, --txt
    Generate report file in TXT (RST) format

-y, --pymol
    Additional PyMOL session files

--maxthreads MAXTHREADS
    Set maximum number of main threads (number of binding sites processed simultaneously).If not set, PLIP uses all available CPUs if possible.

--breakcomposite
    Don't combine ligand fragments into with covalent bonds but treat them as single ligandsfot the analysis.

--altlocation
    Also consider alternate locations for atoms (e.g. alternate conformations).

--debug
    Turn on DEBUG mode with extended log.

--nofix
    Turns off fixing of PDB files.

--dnareceptor
    Uses the DNA instead of the protein as a receptor for interactions.

--peptides PEPTIDES [PEPTIDES ...], --inter PEPTIDES [PEPTIDES ...]
    Allows to define one or multiple chains as peptide ligands or to detect inter-chain contacts

--intra INTRA
    Allows to define one chain to analyze intra-chain contacts.

--keepmod
    Keep modified residues as ligands